about summary refs log tree commit diff
diff options
context:
space:
mode:
authorhexcoder- <heiko@hexco.de>2020-05-13 16:39:25 +0000
committerhexcoder- <heiko@hexco.de>2020-05-13 16:39:25 +0000
commit6fdd6004f2b41ebb5bcd97cfaf9d26ec0bba652f (patch)
tree4f3df11420004a8bc08e12bd82f705dff0d1cbda
parentc4fe6f5277a8edfbf12d9c9c5db77ceb5271bd7f (diff)
downloadafl++-6fdd6004f2b41ebb5bcd97cfaf9d26ec0bba652f.tar.gz
unicornafl build script: fix sed call for OpenBSD, use present python
bug fixes:
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index aeb26945..bbfd151c 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -65,7 +65,7 @@ if [ ! -f "../afl-showmap" ]; then
 
 fi
 
-PYTHONBIN=python
+PYTHONBIN=`command -v python3 || command -v python || echo python`
 MAKECMD=make
 EASY_INSTALL='easy_install'
 TARCMD=tar
@@ -111,7 +111,7 @@ if ! command -v $EASY_INSTALL >/dev/null; then
 
   # work around for installs with executable easy_install
   EASY_INSTALL_FOUND=0
-  MYPYTHONPATH=`python -v </dev/null 2>&1 >/dev/null | sed -n -e '/^# \/.*\/os.py/{ s/.*matches //; s/os.py$//; p}'`
+  MYPYTHONPATH=`${PYTHONBIN} -v </dev/null 2>&1 >/dev/null | sed -n -e '/^# \/.*\/os.py/{ s/.*matches //; s/os.py$//; p;}'`
   for PATHCANDIDATE in \
         "dist-packages/" \
         "site-packages/"